
Foreman - Refactor #30861

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Move setting value collections to SettingPresenter

09/16/2020 03:21 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9149

  

Description

Related issues:

Blocked by Foreman - Refactor #30860: Create SettingPresenter as a proxy for ... Closed

Associated revisions

Revision 5055800d - 03/14/2022 02:46 PM - Ondřej Ezr

Fixes #30861 - keep setting collections in registry

Move Setting collection registry into the setting registry.

History

#1 - 09/16/2020 03:22 PM - Ondřej Ezr

- Related to Refactor #30860: Create SettingPresenter as a proxy for setting UI values added

#2 - 09/16/2020 03:22 PM - Ondřej Ezr

- Related to deleted (Refactor #30860: Create SettingPresenter as a proxy for setting UI values)

#3 - 09/16/2020 03:22 PM - Ondřej Ezr

- Follows Refactor #30860: Create SettingPresenter as a proxy for setting UI values added

#4 - 09/16/2020 03:22 PM - Ondřej Ezr

- Follows deleted (Refactor #30860: Create SettingPresenter as a proxy for setting UI values)

#5 - 09/16/2020 03:23 PM - Ondřej Ezr

- Blocked by Refactor #30860: Create SettingPresenter as a proxy for setting UI values added

#6 - 03/11/2022 12:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9149 added

#7 - 03/14/2022 02:46 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#8 - 03/14/2022 03:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|5055800d020977525f20efa0482bf875b7e4d6b1.
